with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGPathSegClosePath_Interface is

   procedure Initialize (This : in out ISVGPathSegClosePath_Type) is
   begin
      Set_IID (This, IID_ISVGPathSegClosePath);
   end Initialize;

   function Pointer (This : ISVGPathSegClosePath_Type)
     return Pointer_To_ISVGPathSegClosePath
   is
   begin
      return To_Pointer_To_ISVGPathSegClosePath (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGPathSegClosePath_Type;
                     Pointer : in     Pointer_To_ISVGPathSegClosePath)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

end MSHTML.ISVGPathSegClosePath_Interface;

